updater(1)

NAME
update.pl - an updating utility (DrWeb Updater).

SYNOPSIS
update.pl [OPTIONS]

DESCRIPTION
DrWeb Updater module is an updating script update.pl written in Perl. It is used for automatic receipt and installation of regular updates: antivirus add-ons, content-specific black and white lists, component updates.

OPTIONS

--ini=<path to file>
    - use of alternative configuration file.

--what=<name>
    - name of the component to be updated.

--not-need-reload=<name1[,name2...nameN]>
    - if this parameter is not specified, then all the daemons will be restarted after update.pl script finishes its work (but only if any of their components has been updated, removed or added during script operation).

    - if this parameter is specified, but no value is set for it, then none of the daemons will be restarted after update.pl script finishes its work.

    - names of the daemons can be uses as values for this parameter, and several names can be specified in one string, without whitespaces and with comma used as a delimiter. Daemons from this list will not be restarted.

--components
    - view a list of all product components available for update.

--freeze=<name1[, name2...nameN]>
    - block updates for specific component.

--unfreeze=<name1[, name2...nameN]>
    - enable updates for a frozen components.

--restore=<name1[, name2...nameN]>
    - restore component to a previous state. On restoring component will be automatically frozen. To enable updates for a restored component you need to unfreeze it.

--mode=<agent | default>
    - sets path to download directory (only for agent mode).

--download_dir=<path to directory>
    - sets path to download directory (only for agent mode).

--lst=<path to directory>
    - sets path to lst-file (only for agent mode).

--help
    - display help.

SIGNALS

SIGHUP
    - reload of configuration file

SIGINT
    - correct termination of operation

SIGKILL
    - forced termination of Updater process (if any problems have emerged)

AUTHOR
Doctor Web (http://www.drweb.com)

SEE ALSO
drwebd(1)